Last Comment Bug 778709 - Improve keyboard interactions with the status selector of the chat toolbar
: Improve keyboard interactions with the status selector of the chat toolbar
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Florian Quèze [:florian] [:flo]
: instant-messaging
Mentors:
Depends on:
Blocks: 735658
  Show dependency treegraph
 
Reported: 2012-07-30 06:18 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-08-14 07:51 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch (8.00 KB, patch)
2012-08-10 11:19 PDT, Florian Quèze [:florian] [:flo]
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description Florian Quèze [:florian] [:flo] 2012-07-30 06:18:15 PDT
Bug 735658 fixed the appearance of the chat status selector, but there are a few more details that should be fixed:
- When there's no configured account, the selector should be (and look) disabled (mentioned in bug 735701 comment 1).
- It should be visible if the selector is focused (for people using the tab key to navigate between focusable elements) (mentioned in point 3 or bug 735292 comment 5; and maybe some of the following comments).
- Some keyboard interactions may be better. When the selector is focused, currently pressing enter starts the edit of the status message. Shouldn't the down arrow open the status type popup menu?
- After finishing to edit the status message, there's no focused element in the document any more (pressing the tab key does nothing); I think we need a focus call, like the one we have when finishing the rename of a contact.
- When the status type is "Offline", the status message isn't editable, so we shouldn't display the textbox border while hovering it.
Comment 1 Florian Quèze [:florian] [:flo] 2012-08-10 11:19:26 PDT
Created attachment 650953 [details] [diff] [review]
Patch

This does all the things listed in comment 0 + disables the "Show Accounts" button of the chat toolbar if there's no account. The "Get started" button in the middle of the main part of the chat tab in that case is much more visible, and opens directly the account wizard instead of the accounts status dialog which could be confusing when there's no account (it's not broken though).
Comment 2 Blake Winton (:bwinton) (:☕️) 2012-08-13 09:11:52 PDT
Comment on attachment 650953 [details] [diff] [review]
Patch

Yeah, this seems to make sense.  I'ld like the changes to be documented somewhere more visible than a random bug, though.  ;)
ui-r=me.

>+++ b/mail/components/im/content/chat.css
>@@ -57,25 +57,25 @@ browser[type="content-conversation"] {
>-#statusTypeIcon {
>+#statusTypeIcon:not([disabled]) {
>   cursor: pointer;
> }

I wonder if this is the right thing to do, since we don't do it for any other buttons…

Other than that, it seems fine to me.

r=me.

Thanks,
Blake,
Comment 3 Blake Winton (:bwinton) (:☕️) 2012-08-13 09:19:57 PDT
Comment on attachment 650953 [details] [diff] [review]
Patch

Yadda yadda IM approval request.

Note You need to log in before you can comment on or make changes to this bug.